GET /health

Returns the status and call load of the responding worker.

Response

{
  "status": "ok",
  "worker_calls": 0,
  "worker_max": 1,
  "total_capacity": 16,
  "total_available": 16,
  "workers": 16,
  "worker_id": "3",
  "worker_pid": 12345
}
FieldTypeDescription
statusstring"ok"
worker_callsintActive calls on this worker (0 or 1)
worker_maxintMax calls per worker (always 1)
total_capacityintworker_max × workers
total_availableinttotal_capacity - worker_calls
workersintWorker count (CXBCORE_WORKERS)
worker_idstringWorker number (from socket path)
worker_pidintOS process ID

GET /health/fleet

Queries all local workers over their Unix sockets and returns aggregated fleet status.

Response

{
  "status": "ok",
  "fleet_calls": 3,
  "fleet_max": 16,
  "fleet_available": 13,
  "workers": [
    {"id": "1", "calls": 1, "max": 1, "pid": 12345},
    {"id": "2", "calls": 0, "max": 1, "pid": 12346},
    {"id": "3", "calls": 1, "max": 1, "pid": 12347},
    {"id": "4", "calls": 0, "max": 1, "pid": 12348}
  ]
}
FieldTypeDescription
statusstring"ok"
fleet_callsintTotal active calls
fleet_maxintTotal capacity
fleet_availableintAvailable slots
workerslistPer-worker status
Each worker entry:
FieldTypeDescription
idstringWorker number
callsintActive calls (0 or 1)
maxintMax calls (always 1)
pidintProcess ID
statusstringOnly present if worker is "unreachable"